Beta patcher error fix

Discussion in 'The Veterans' Lounge' started by Vumad, Oct 13, 2022.

  1. Vumad Cape Wearer

    I still had Beta on my PC from last year. I ran the patcher...

    When attempting to log into Beta, I got the following error...

    "Error 1017: Cannot login to the EverQuest server. Your client likely needs updating. When you click OK the client will close and LaunchPad will start."

    This persisted with a Validate Game assets in advanced options.

    The patcher did not update itself. To fix this, simply...

    Download the beta install -> https://launch.daybreakgames.com/installer/EQ_Beta_setup.exe
    Run it using the repair option. In my case, it auto selected my Beta folder.
    Don't worry about the DirectX install, let it run, it will validate that DirectX is current and stop without making any changes.
    The new install took like 15 seconds total, about 60s total with the Direct X stuff.

    Once this is done, you can use the same old shortcut you had, the patcher will download a few new files it didn't previously, and Beta will work. I suspect the patcher is not updating itself to the latest version.
    Metanis likes this.
  2. Soulbanshee Augur

    The beta build is pushed in the morning too, they could still have been loading changes while you were patching/logging in maybe. I can't remember if they have stated what time in the morning, just a general "in the morning".